[
  {
    "id": "day",
    "groupings": [
      { "type": "resource", "values": ["EMP001", "EMP002"], "idProperty": "resourceId" },
      { "type": "date", "values": [], "idProperty": "date", "derivedFrom": "start", "hideHeader": true }
    ]
  },
  {
    "id": "simple",
    "groupings": [
      { "type": "date", "values": [], "idProperty": "date", "derivedFrom": "start" }
    ]
  },
  {
    "id": "resource",
    "groupings": [
      { "type": "resource", "values": ["EMP001", "EMP002"], "idProperty": "resourceId" },
      { "type": "date", "values": [], "idProperty": "date", "derivedFrom": "start" }
    ]
  },
  {
    "id": "team",
    "groupings": [
      { "type": "team", "values": ["team1", "team2"] },
      { "type": "resource", "values": ["EMP001", "EMP002", "EMP003", "EMP004"], "idProperty": "resourceId", "belongsTo": "team.resourceIds" },
      { "type": "date", "values": [], "idProperty": "date", "derivedFrom": "start" }
    ]
  },
  {
    "id": "department",
    "groupings": [
      { "type": "department", "values": ["dept-styling", "dept-training"] },
      { "type": "resource", "values": ["EMP001", "EMP002", "EMP003", "EMP004", "STUDENT001", "STUDENT002"], "idProperty": "resourceId", "belongsTo": "department.resourceIds" },
      { "type": "date", "values": [], "idProperty": "date", "derivedFrom": "start" }
    ]
  },
  {
    "id": "picker",
    "groupings": [
      { "type": "resource", "values": ["EMP001", "EMP002", "EMP003", "EMP004"], "idProperty": "resourceId" },
      { "type": "date", "values": [], "idProperty": "date", "derivedFrom": "start" }
    ]
  }
]
